@import "index.css";

#stay-tuned {
    color: var(--usa-off-white);
    margin: auto;
    text-align: center;
    font-size: 1.2em;
}

body {
    background: var(--usa-blue);
}

:root {
    --usa-blue: rgb(37, 57, 97);
    --usa-darkest-blue: rgb(0, 5, 50);
    --usa-lighter-blue: rgb(69, 141, 191);
    --usa-sky-blue: rgb(100, 160, 225);
    --usa-red: rgb(179, 33, 37);
    --usa-dark-red: rgb(100, 20, 22);
    --usa-sky-red: rgb(221, 45, 48);
    --usa-off-white: rgb(250, 253, 255);
    --usa-mid-white: rgb(225, 225, 225);
    --usa-dark-white: rgb(150, 155, 156);

    --light-blue: rgb(220, 235, 255);
    --light-red: rgb(255, 235, 235);
    --light-green: rgb(230, 255, 230);

    --turf-blue: #164c73;
    --grass-green: #b4edb4;

    --dark-red: #981818;
    --dark-orange: #9a631f;
    --dark-yellow: #8b8b19;
    --dark-green: #137913;
    --dark-black: #111111;
    --dark-blue: #1940a4;
    --light-gray: #cccccc;

    /*--light-green: rgb(172, 249, 163);*/
    /*--light-red: rgb(255, 211, 207);*/
}

#games {
    margin-top: 1vw;
}

#wc-top {
    border-bottom: 0.25vw solid var(--usa-sky-blue);
    position: sticky;
    position: -webkit-sticky;
    top: 0;
    z-index: 10;
    background-color: var(--usa-darkest-blue);
    z-index: 999;
}

#wc-opening-banner {
    display: block;
    width: 100%;
    margin: auto;
    background-color: var(--usa-darkest-blue);
    color: var(--turf-blue);
    padding: 5px 0;    
}

#description-text {
    width: 100%;
    /*padding: 2vw 0 2vw 0;*/
    margin: auto;
    background: var(--usa-blue);
    color: white;
    font-size: 1.8vw;
    text-align: center;
    /*padding-top: 0.5vw;*/
}

.breakdown-right {
    color: var(--light-green);
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    width: 70%;
    margin: auto;
    font-size: 1vw;
}

#description-home {
    width: 95%;
    margin: auto;
    padding: 1vw 0;

}

#predictions-so-far {
    background: var(--usa-blue);
    margin: auto;
    /*margin-bottom: 2vw;*/
    text-align: center;
    padding: 0.5vw 0 1vw;
    color: var(--usa-off-white);
    border-top: 0.25vw solid var(--usa-sky-blue);
    border-bottom: 0.25vw solid var(--usa-sky-blue);
}

#predictions-large {
    font-size: 1.6vw;
}
#as-of {
    font-size: 1.2vw;
    font-style: italic;
    margin-bottom: 0.5vw;
}

#group-stage-text, #knockout-stage-text {
    font-size: 1.2vw;
    margin-bottom: 0.2vw;
}

#description-explanation {
    font-style: italic;
    margin-top: 0.5vw;
    font-size: 0.8vw;
}

.right-wrong-label {
    font-size: 1.2vw;
}

.right-label, .right-number {
    color: var(--light-green);
}

.wrong-label, .wrong-number {
    color: var(--light-red);
}

.number-label {
    font-size: 3vw;
}

#predictions-grid {
    display: grid;
    grid-template-columns: 50% 50%;
    margin: auto;
    width: 80%;
}

#warn-colors {
    font-size: 0.8vw ;
    text-align: center;
    color: var(--usa-off-white);
    font-style: italic;
}

.split-cases {
    display: grid;
    width: 60%;
    margin: auto;
    grid-template-columns: 50% 50%;
}

#usa-flag {
    width: 100%;
    padding-top: 1vw;
    margin: auto;
    background: var(--usa-blue);
    text-align: center;
    color: var(--usa-off-white);
    align-items: center;
    display:grid;
    row-gap: 0.5vw;
    padding-bottom: 2vw;
}

.flag-href {
    color: var(--usa-off-white);
    text-decoration: none;
    /*margin: 5px auto;*/
    /*display: block;*/
}

#big-square-text {
    margin-top: 2.6vw;
}

#finished-group-games, #upcoming-knockout-games, #knockout-bracket {
    background: var(--usa-red);
    border: 0.25vw solid var(--usa-sky-red);
}

#group-stats, #finished-knockout-games {
    background: var(--usa-mid-white);
    color: var(--usa-blue);
    border: 0.25vw solid var(--usa-off-white);
}

#upcoming-group-games {
    height: calc(100% - 0.4vw);
    background: var(--usa-lighter-blue);
    border: 0.25vw solid var(--usa-sky-blue);
    margin-top: -0.05vw;
}

.text-flag {
    display: inline-block;
    vertical-align: middle;
}

.interior-link {
    font-size: 1.6vw;
    /*display: flex;*/
    align-items: center;
    text-align: center;
    line-height: 2;
    font-weight: bold;
}

.interior-link:hover {
    transform: scale(1.1);
    transition-duration: 0.2s;
}

#usa-flag-top-half {
    display:grid;
    grid-template-columns: 35% 65%;
    width: 80%;
    margin: auto;
    row-gap: 0.5vw;
    column-gap: 0.5vw;
}

#usa-flag-bottom-half {
    display:grid;
    /*grid-template-columns: 35% 65%;*/
    width: 80%;
    margin: auto;
    row-gap: 0.5vw;
}

#usa-flag-right-top {
    display: grid;
    row-gap: 0.5vw;
    width: calc(100% - 0.5vw);
}

.interior-link {
    text-decoration: none;
}





.usa {
    background: var(--light-blue);
    border: 0.25vw solid var(--usa-blue);
}

.mex {
    background: var(--light-green);
    border: 0.25vw solid var(--grass-green);
}

.can {
    background: var(--light-red);
    border: 0.25vw solid var(--light-red);
}

.disclaimer {
    text-align: center;
    padding-bottom: 0;
    margin-bottom: 0;
    font-style: italic;
    font-size: 0.8vw;
    color: var(--usa-off-white);
}

.disclaimer > a {
    color: var(--usa-off-white);
}

.king-sized-header {
    position: static;
}

.article-encloser * {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.game-banner {
    margin: 0;
    padding-bottom: 10px;
}

#finished-games-text {
    margin-top: 10px;
}

#wc-choices {
    display: grid;
    justify-items: center;
    align-items: center;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    align-content: space-evenly;
    justify-content: center;
    width: 90%;
    margin: 0px auto;
    padding-bottom: 8px;
}

.wc-choice-button {
    padding: 8px;
    margin: auto;
    border: 3px solid var(--turf-blue);
    background-color: var(--grass-green);
    width: 70%;
    text-align: center;
    margin-bottom: 0;
}

.wc-choice-button a {
    text-decoration: none;
    font-weight: bold;
    color: var(--turf-blue);
}

.game-banner {
    color: var(--turf-blue);
    text-align: center;
}

.game {
    display: grid;
    grid-template-columns: 1fr;
    padding: 5px 0;
    border: 4px solid var(--turf-blue);
    width: 80%;
    margin: 7px auto;
}

.date-and-group {
    width: 80%;
    font-size: 1.5vw;
    font-style: italic;
    border-bottom: 1px solid var(--turf-blue);
    margin: auto;
    text-align: center;
    padding-bottom: 3px;
}

.countries {
    display: grid;
    grid-template-columns: 25% 50% 25%;
    align-content: center;
    justify-content: center;
    width: 80%;
    margin: auto;
    padding: 5px 0 3px;
}

.country-image {
    width: 30%;
}

.left-country-image {
    justify-self: end;
}

.right-country-image {
    justify-self: start;
}

.country-score {
    width: 100%;
    font-size: 2.5vw;
    text-align: center;
}

.little-text-banner {
    width: 90%;
    margin: auto;
    text-align: center;
    border-top: 1px solid var(--turf-blue);
    border-bottom: 1px solid var(--turf-blue);
    padding: 2px 0;
}

.adams-prediction {
    border-bottom: none;
    padding-bottom: 0;
    padding-top: 5px;
    font-size: 1.5vw;
}

.percent-colors {
    display: grid;
    width: 90%;
    margin: auto;
}

.color-swatch {
    height: min(25px, 2.5vw);
    text-align: center;
    font-size: min(18px, 1.8vw);
    overflow: hidden;
}

.left-win-color, .right-win-color {
    color: white;
    font-weight: bold;
}

.tie-color {
    color: black;
    font-weight: bold;
    background-color: var(--light-gray);
}

.adam-was {
    text-align: center;
    font-weight: bold;
    font-size: 1.5vw;
}

.correct {
    color: var(--dark-green);
}

.wrong {
    color: var(--dark-red);
}

.bold {
    font-weight: bold;
}

.red {
    background-color: var(--dark-red);
}
.orange {
    background-color: var(--dark-orange);
}
.yellow {
    background-color: var(--dark-yellow);
}
.green {
    background-color: var(--dark-green);
}
.blue {
    background-color: var(--dark-blue);
}
.black {
    background-color: var(--dark-black);
}

.t-red {
    color: var(--dark-red);
}
.t-orange {
    color: var(--dark-orange);
}
.t-yellow {
    color: var(--dark-yellow);
}
.t-green {
    color: var(--dark-green);
}
.t-blue {
    color: var(--dark-blue);
}
.t-black {
    color: var(--dark-black);
}

.article-encloser {
    margin-bottom: 50px;
}

#finished-games-banner {
    margin-top: 25px;
}